<template>
    <section class="faq">
        <h1 class="faq__header">
            Ответы на вопросы
        </h1>
        <div v-for="(item, index) in items" :key="index" class="spoiler">
            <div 
                class="spoiler__header" 
                :class="[activeTab == index ? 'spoiler__header--active' : '']"
                @click="(activeTab != index ? activeTab = index : activeTab = null)"
            >
                {{item.question}}
            </div>
            <p 
                class="spoiler__body"
                :class="[activeTab == index ? 'spoiler__body--active' : '']"
            >
                {{item.answer}}
            </p>
        </div>
    </section>
</template>

<script>
export default {
    data() {
        return {
            activeTab: null,
            items: [
                {
                    question: "Через сколько приходит выплата?",
                    answer: "Вывод средств осуществляется от 5 минут до 24 часов с момента создания заявки.",
                },
                {
                    question: "Что такое реферальная система?",
                    answer: "Реферальная система - это система вознаграждения участников за привлечение новых клиентов. Наличие этой системы позволяет Вам приглашать людей по своей уникальной ссылке и получать от 10% суммы каждого депозита а также 2 рубля на свой баланс.",
                },
                {
                    question: "Реферал зарегистрировался по моей ссылке и не появился в списке?",
                    answer: "Значит пользователь ранее переходил по чужой реферальной ссылке.",
                },
                {
                    question: "Что делать если введены неверные реквизиты?",
                    answer: "Если такие реквизиты не существуют в выбранной платежной системе, то средства вернуться на Ваш баланс автоматически.",
                },
                {
                    question: "Как отменить выплату?",
                    answer: 'Для отмены выплаты нажмите "Отменить" в разделе "Вывести". Баланс аккаунта мгновенно пополнится на сумму отмененной заявки.',
                },
                {
                    question: "Что запрещено делать на сайте?",
                    answer: "Пользоваться несколькими аккаунтами, использовать реферальную систему не по назначению.",
                },
            ],
        }
    },
}
</script>

<style scoped>
.faq {
    background: #fff;
    border-radius: 8px;
    padding: 25px;
    margin-bottom: 48px;
}
.faq__header {
    margin: 0 0 1rem;
}
.spoiler {
    border: 1px solid rgba(72, 94, 144, 0.16);
    border-radius: 8px;
    overflow: hidden;
    margin-bottom: 10px;
}
.spoiler__header {
    color: #2b2b2b;
    background: #f5f6fa;
    padding: 12px 15px 12px 35px;
    position: relative;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
}
.spoiler__header:before {
    content: "+";
    position: absolute;
    top: 12px;
    left: 17px;
    text-align: center;
}
.spoiler__header--active {
    background: #fff;
    color: #2c80ff;
}
.spoiler__header--active:before {
    content: "–";
}
.spoiler__body {
    color: #2b2b2b;
    background: transparent;
    margin: 0;
    padding: 12px 15px 12px 35px;
    display: none;
}
.spoiler__body--active {
    display: block;
}

</style>
